<?
include "forb.php";
include "check.php";
include "menu.php";
$q1 = mysql_query("SELECT * FROM koebte_t WHERE ejer = '$_SESSION[Brugernavn]' AND id = '$_GET[id]'") or die(mysql_error());
while($vis = mysql_fetch_array($q1)) {
$antal = mysql_num_rows($q1);
if($antal == '0'){
print "Du ejer ikke denne ting!";
}else{
$q3 = mysql_query("SELECT * FROM ting_salg WHERE brugernavn = '$_SESSION[Brugernavn]'") or die(mysql_error());
$show2 = mysql_num_rows($q3);
if($show2 > '0'){
print "Du kan max have en ting til salg!";
}else{
$q2 = mysql_query("SELECT * FROM brugere WHERE brugernavn = '$_SESSION[Brugernavn]'") or die(mysql_error());
while($show = mysql_fetch_array($q2)) {
if($show[billetter] == '0'){
print "Du har ikke nogle billetter!";
}else{
$q1 = mysql_query("SELECT * FROM koebte_t WHERE ejer = '$_SESSION[Brugernavn]' AND id = '$_GET[id]'") or die(mysql_error());
while($vis = mysql_fetch_array($q1)) {
$z1 = date("z");
$z = $z1+'7';
mysql_query("INSERT INTO ting_salg (kraever_level, udloebs, billede, navn, brugernavn, pris, ting_id) VALUES ('$vis[kraever_level]', '$z', '$vis[billede]', '$vis[navn]', '$_SESSION[Brugernavn]', '$_POST[pris]', '$_GET[id]')")or die(mysql_error());
mysql_query("UPDATE brugere SET billetter = billetter - '1' WHERE brugernavn = '$_SESSION[Brugernavn]'");
mysql_query("DELETE FROM koebte_t WHERE id = '$_GET[id]'");
print "Din ting er nu sat til salg.";
print "<br/><br/>";
}
}
}
}
}
}
?>